function obj=randnher(N,d,varargin)
% FUNCTION fc_amat.random.randnher
% -- randnher(N,d)  
%      Returns a N-by-d-by-d complex amat object whose matrices are hermitian 
%      with normally distributed random real and imaginary part elements 
%      having zero mean and and unit standard deviation.
%
% -- randnher(...,key,value)
%      Optional key/value pair could be used with key
%        - 'class', value could be 'single' or 'double' (default).
%
%      See also: fc_amat.random.randnsym,
%                class amat
%
  p = inputParser; 
  p.addParamValue('class','double',@(x) ismember(lower(x),{'single','double'})); 
  p.parse(varargin{:});
  classname=p.Results.class;
  
  obj=complex(amat(N,d,d,classname));
  for i=1:d
    obj(i,i)=complex(randn(N,1,classname),randn(N,1,classname));
    for j=i+1:d
      obj(i,j)=complex(randn(N,1,classname),randn(N,1,classname));
      obj(j,i)=conj(obj(i,j));
    end
  end
end
