function varargout=slicemesh(q,me,P,varargin)
  % plot function u on plane defined by p(1)*x+p(2)*y+p(3)*z+p(4)=0
  [dim,d,nq,nme]=fc_meshtools.simplicial.get_dims(q,me);
  assert(d==3 && dim==3);
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('Color','LightGray');
  p.addParamValue('DisplayName','');
  %varargin=fc_tools.graphics.xcolor.color_varargin(varargin,{'Color'});
  %varargin{:}
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  nP=size(P,1);
  
  if ~isempty(R.DisplayName)
    if nP==1
      assert( ischar(R.DisplayName) )
      DisplayName={R.DisplayName}; 
    else
      assert( iscell(R.DisplayName) && size(R.DisplayName,2)==nP )
      assert( sum(cellfun(@ischar,R.DisplayName)) == nP ,'Each cell must be a string')
      DisplayName=R.DisplayName;
    end
  else
    DisplayName=repmat({''},1,nP);
  end
  
  Colors=zeros(nP,3);
  if iscell(R.Color) 
      assert(length(R.Color)==nP)
      for i=1:nP
        Colors(i,:)=fc_tools.graphics.xcolor.val2rgb(R.Color{i});
      end
  else
      for i=1:nP
        Colors(i,:)=fc_tools.graphics.xcolor.val2rgb(R.Color);
      end
  end
  h=cell(1,nP);
  for i=1:nP
    [U,G,J,BC] = fc_tools.graphics.gptoolbox.slice_tets2(q',me',P(i,:));
    if ~isempty(U)
      h{i}=patch('Vertices',U,'Faces',G,'EdgeColor','None','FaceColor',Colors(i,:),'DisplayName',DisplayName{i},varargin{:});
    end
  end
  if nP==1, h=h{1};end
  fc_tools.graphics.view3D()
  if nargout==1, varargout{1}=h;end
end
