function h=plotmesh(q,me,varargin)
  assert( ismember(size(q,1),2:3) )
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('color','b');
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if size(q,1)==3, h=plotmesh3D(q,me,R.color,varargin);end
  if size(q,1)==2, h=plotmesh2D(q,me,R.color,varargin);end
end

function h=plotmesh3D(q,me,color,PlotOptions)
  if size(me,1)==8
    idxFace=[1,2,4,3;5,6,8,7;1,3,7,5;2,4,8,6;1,2,6,5;3,4,8,7];
  else
    idxFace=nchoosek(1:4,3);
  end
  ME=[];
  for i=1:size(idxFace,1) 
    ME=[ME;me(idxFace(i,:),:)'];
  end
  h=patch('Vertices',q','Faces',ME,'EdgeColor',color,'FaceColor','none',PlotOptions{:});
end

function h=plotmesh2D(q,me,color,PlotOptions)
  if size(me,1)==4
    h=patch('Vertices',q','Faces',me([1,2,4,3],:)','EdgeColor',color,'FaceColor','none',PlotOptions{:});
  else
    h=triplot(me',q(1,:),q(2,:),'Color',color,PlotOptions{:});
  end
end
