function PL=read_Periodic(fid,varargin)
  p = inputParser;
  p.addParamValue('verbose',false,@islogical);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  isOK=fc_oogmsh.msh.find_section(fid,'$Periodic','optional',true,varargin{:});
  if ~isOK,PL=[];return;end
  numPeriodicLinks=fscanf(fid,'%d',1);
  PL=struct('entityDim',[],'entityTag',[],'entityTagMaster',[], ...
                       'numAffine',[], 'values',[], ...
                       'numCorrespondingNodes',[],'nodeTags',[],'nodeTagMasters');
  PL=repmat(PL,1,numPeriodicLinks);  
  
  for i=1:numPeriodicLinks
    R=fscanf(fid,'%d',4);
    PL(i).entityDim=R(1);PL(i).entityTag=R(2);
    PL(i).entityTagMaster=R(3);PL(i).numAffine=R(4);
    if PL(i).numAffine>0,PL(i).values=fscanf(fid,'%g',PL(i).numAffine);end
    PL(i).numCorrespondingNodes=fscanf(fid,'%d',1);
    if PL(i).numCorrespondingNodes>0
      R=fscanf(fid,'%d',2*PL(i).numCorrespondingNodes);
      R=reshape(R,2,PL(i).numCorrespondingNodes);
      PL(i).nodeTags=R(1,:);PL(i).nodeTagMasters=R(2,:);
    end
  end
  text = fscanf(fid,'%s',1);
  if ( text == -1 ) | ~strcmp(strtok(text),'$EndPeriodic') 
    error('No section $Periodic %s',text)
  else
    if verbose,fprintf('Reading $Periodic section seem OK\n');end
  end
end
